#![no_std]

#[cfg(not(test))] // avoid warning duplicate lang-item
#[panic_handler]
#[inline(never)]
fn panic(_info: &core::panic::PanicInfo) -> ! {
    // abort symbol caught by LLVM-KLEE
    unsafe { abort() }
}

extern "C" {
    #[inline(always)]
    pub fn abort() -> !;
}
